<template>
  <div class="menu-content-sized-container">
    <sub-main :contents="contents"> </sub-main>
  </div>
</template>

<script>
export default {
  head: {
    title: 'Network Explorers | THORChain.org',
    meta: [
        { property: "og:locale", content: "en_US" },
        { property: "og:type", content: "website" },
        { property: "og:title", content: "Network Explorers | THORChain.org" },
        {
          property: "og:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { property: "og:url", content: process.env.baseUrl },
        { property: "og:site_name", content: "THORChain" },
        {
          property: "og:image",
          content: process.env.baseUrl + "/images/meta-network-explorers.png",
        },
        { property: "og:image:width", content: "876" },
        { property: "og:image:heigh", content: "438" },
        { name: "twitter:creator", content: "@thorchain" },
        { name: "twitter:site", content: "@thorchain" },
        { name: "twitter:title", content: "Network Explorers | THORChain.org" },
        {
          name: "twitter:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { name: "twitter:card", content: "summary_large_image" },
        {
          name: "twitter:image",
          content: process.env.baseUrl + "/images/meta-network-explorers.png",
        },
      ],
  },
  data() {
    return {
      contents: [
        {
          component: "header",
          settings: {
            title: "Network Explorers",
          },
        },
        {
          component: "halved",
          settings: {
            left: {
              title: "Verifiable",
              text: "The community has developed a variety of network explorer tools, so that you can verify THORChain transactions, pools, solvency, nodes and more.",
              scrolls: [
                { text: "ViewBlock", id: "viewblock" },
                { text: "THORmon", id: "thormon" },
                { text: "THORChain Alerts Bot", id: "thorchain-alerts-bot" },
                { text: "THORChain Bot", id: "thorchain-bot" },
              ],
            },
            right: [
              {
                component: "halved",
                left: [
                  {
                    component: "text",
                    title: "ViewBlock Explorer",
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Mainnet",linkProps: this.$links('network_explorers_viewblock_mccn')}],
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Stagnet",linkProps: this.$links('')}],
                  },
                ],
                right: [
                  {
                    component: "image",
                    src: require("~/assets/images/network-explorers/viewblock.svg"),
                    positionRight: "50%",
                    positionTop: "50%",
                    extraCSS: {
                      background: "#363636",
                      objectFit: "none",
                    },
                  },
                ],
              },
              {
                component: "halved",
                left: [
                  {
                    component: "text",
                    title: "THORChain explorer",
                  },
                  {
                    component: "button",
                    buttons: [{ text: "Web App",linkProps: this.$links('network_explorers_thorchain_explorer')}],
                  },
                ],
                right: [
                  {
                    component: "image",
                    src: require("~/assets/images/network-explorers/thorchain-explorer.svg"),
                    positionRight: "50%",
                    positionTop: "50%",
                    extraCSS: {
                      background: "#363636",
                      objectFit: "none",
                    },
                  },
                ],
              },
              {
                component: "full",
                layers: [{
                  component: 'text',
                  title: 'THORChain Alerts Bot',
                },
                {
                  component: 'button',
                  mode: 'full',
                  buttons: [{text: 'Telegram',linkProps: this.$links('network_explorers_thorchain_alerts_bot_telegram')}]
                }],
              },
              {
                component: "full",
                layers: [{
                  component: 'text',
                  title: 'THORChain Bot',
                },
                {
                  component: 'button',
                  mode: 'full',
                  buttons: [{text: 'Twitter',linkProps: this.$links('network_explorers_thorchain_bot_twitter')}]
                }],
              },
            ],
          },
        },
      ],
    };
  },
};
</script>

<style>
</style>